www.cendio.com
Bug 6173 - Sometimes the mouse cursor disappears
: Sometimes the mouse cursor disappears
Status: CLOSED FIXED
: ThinLinc
| rdesktop (deprecated)
: trunk
: PC Unknown
: P2 Normal
: 4.9.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2017-02-21 08:18 by
Modified: 2017-12-29 16:33 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2017-02-21 08:18:31
There is a report that the mouse pointers disappears sometimes. Someone
upstream reported that it was seen with one user profile but no with another on
the same server. Some hints upsteam that it might be related to that the user
uses text scaling (HDPI).

[1] https://github.com/rdesktop/rdesktop/issues/86
------- Comment #2 From cendio 2017-12-12 18:50:05 -------
Lots of mouse pointer issues has been fixed upstream and brought to ThinLinc
via vendor drop r32951. This too, should be fixed.
------- Comment #4 From cendio 2017-12-29 16:33:37 -------
Even though I never was able to reproduce the original problem, I feel quite
confident that it is fixed. Have tested many different scenarios including HDPI
scaling and mouse shadows. The code looks good as well.